<template>

  <b-container fluid id="app" class="dark-bg">

    <h1 class="light">TSI Weather Dashboard</h1>

    <b-container fluid class="pl-3 pr-3">

      <b-row id="live" class="">
        <LiveAllMeasures class="main-component"/>
        <LiveComparativeMeasures class="main-component"/>
      </b-row>

      <b-row>
        <HistoricMeasures class="main-component"/>
      </b-row>

      <b-row>
        <HistoricWindMeasures class="main-component"/>
        <Map class="main-component"/>
      </b-row>

      <br>
      <b-row>
        <em slot="footer" class="w-100 light text-right smaller">
          <small>
            Projet JavaScript avancé - ENSG TSI 2018/2019 - Yassmine BOUDILI, Hiba GHADHAB, Sinda THAALBI
          </small>
        </em>
      </b-row>
      <br>

    </b-container>

  </b-container>

</template>

<script>
import LiveAllMeasures from './components/LiveAllMeasures.vue'
import LiveComparativeMeasures from './components/LiveComparativeMeasures.vue'
import HistoricMeasures from './components/HistoricMeasures.vue'
import HistoricWindMeasures from './components/HistoricWindMeasures.vue'
import Map from './components/Map.vue'

export default {
  name: 'app',
  components: {
    LiveAllMeasures,
    LiveComparativeMeasures,
    HistoricMeasures,
    HistoricWindMeasures,
    Map
  }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #262228;
  padding-top: 1em;
}
.light{
  color: #dfdce3;
}
.main-component{
  margin-top: 1em;
}
.dark-bg{
  background-color: #262228;
}
.light-bg{
  background-color: #dfdce3;
}
a{
  color: #dfdce3 !important;
}
.nav{
  background-color: #262228 !important;
}
.nav-link{
  border-radius: 0px !important;
  /* font-size: 1.3vw; */
}
.nav-link.active{
  color: #495057 !important;
  background-color: #dfdce3 !important;
}
.nav-link:hover{
  color: #fc4a1a !important;
  border: 0px !important;
}
@media (max-width: 1140px) {
  .nav-link{
    font-size: 1.3vw;
  }
}
@media (max-width: 990px) {
  .nav-link{
    font-size: 1.9vw;
  }
}
@media (max-width: 540px) {
  .nav-link{
    font-size: initial;
  }
}
</style>
